---
- name: Untaint {{ node }}
  delegate_to: localhost
  kubernetes.core.k8s_taint:
    state: absent
    name: "{{ node }}"
    taints:
      - key: node-role.kubernetes.io/control-plane
        effect: NoSchedule
  ignore_errors: true

- name: Label {{ node }}
  delegate_to: localhost
  kubernetes.core.k8s:
    state: present
    definition:
      apiVersion: v1
      kind: Node
      metadata:
        name: "{{ node }}"
        labels:
          any.yaook.cloud/api: "true"
          infra.yaook.cloud/any: "true"
          operator.yaook.cloud/any: "true"
          key-manager.yaook.cloud/barbican-any-service: "true"
          block-storage.yaook.cloud/cinder-any-service: "true"
          compute.yaook.cloud/nova-any-service: "true"
          ceilometer.yaook.cloud/ceilometer-any-service: "true"
          key-manager.yaook.cloud/barbican-keystone-listener: "true"
          gnocchi.yaook.cloud/metricd: "true"
          infra.yaook.cloud/caching: "true"
          infra.yaook.cloud/ovsdbcluster: "true"
          network.yaook.cloud/neutron-northd: "true"
          network.yaook.cloud/neutron-ovn-agent: "true"
  ignore_errors: true
